Bug 555948 - Review Request: ghc-regex-base - Haskell regex base library
Review Request: ghc-regex-base - Haskell regex base library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rakesh Pandit
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 555443 556723
  Show dependency treegraph
 
Reported: 2010-01-15 18:36 EST by Jens Petersen
Modified: 2014-01-02 01:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-20 21:48:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rpandit: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2010-01-15 18:36:51 EST
Spec URL: http://petersen.fedorapeople.org/ghc-regex-base/ghc-regex-base.spec
SRPM URL: http://petersen.fedorapeople.org/ghc-regex-base/ghc-regex-base-0.93.1-2.fc12.src.rpm
Description:
Haskell regex base library: interface API for regex-{posix,pcre,parsec,tdfa,dfa}.

This package is part of Haskell Platform formerly included in ghc-6.10.4.
Comment 1 Jens Petersen 2010-01-15 18:37:57 EST
Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1924101
Comment 2 Rakesh Pandit 2010-01-19 23:59:41 EST
[x] Build - http://koji.fedoraproject.org/koji/taskinfo?taskID=1933123 fine
[x] rpmlint - ok 

===========================================================================
Koji build rpm /tmp/gachJJdhks/kojiXRxS3E/1933124/ghc-regex-base-0.93.1-2.fc13.src.rpm output:
===========================================================================

Rpmlint Messages:
ghc-regex-base.src: W: macro-in-%description %ghc_lib_package
ghc-regex-base.src: W: strange-permission regex-base-0.93.1.tar.gz 0600
ghc-regex-base.src: W: no-cleaning-of-buildroot %install
ghc-regex-base.src: W: no-buildroot-tag
1 packages and 0 specfiles checked; 0 errors, 4 warnings.

Ignored.

===========================================================================
Koji build rpm /tmp/gachJJdhks/kojiXRxS3E/1933124/ghc-regex-base-prof-0.93.1-2.fc13.x86_64.rpm output:
===========================================================================

Rpmlint Messages:
ghc-regex-base-prof.x86_64: E: devel-dependency ghc-regex-base-devel
ghc-regex-base-prof.x86_64: W: no-documentation
ghc-regex-base-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.1/regex-base-0.93.1/libHSregex-base-0.93.1_p.a
1 packages and 0 specfiles checked; 1 errors, 2 warnings.

Ignored.

===========================================================================
Koji build rpm /tmp/gachJJdhks/kojiXRxS3E/1933124/ghc-regex-base-0.93.1-2.fc13.x86_64.rpm output:
===========================================================================

Rpmlint Messages:
ghc-regex-base.x86_64: W: incoherent-version-in-changelog 0.93.1-1 ['0.93.1-2.fc13', '0.93.1-2']
ghc-regex-base.x86_64: W: unstripped-binary-or-object /usr/lib64/ghc-6.12.1/regex-base-0.93.1/libHSregex-base-0.93.1-ghc6.12.1.so
ghc-regex-base.x86_64: W: executable-stack /usr/lib64/ghc-6.12.1/regex-base-0.93.1/libHSregex-base-0.93.1-ghc6.12.1.so
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

Ignored.

===========================================================================
Koji build rpm /tmp/gachJJdhks/kojiXRxS3E/1933124/ghc-regex-base-doc-0.93.1-2.fc13.x86_64.rpm output:
===========================================================================

Rpmlint Messages:
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Clean.

===========================================================================
Koji build rpm /tmp/gachJJdhks/kojiXRxS3E/1933124/ghc-regex-base-devel-0.93.1-2.fc13.x86_64.rpm output:
===========================================================================

Rpmlint Messages:
ghc-regex-base-devel.x86_64: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Ignored.


[x] name fine
[x] URL fine
[x] source ok

from srpm (sha1sum)

[rakesh@simu ~]$ sha1sum regex-base-0.93.1.tar.gz 
e94c4c15fd3f4b375eb854ee0b77787a03fc8a2c  regex-base-0.93.1.tar.gz

[rakesh@simu ~]$ sha1sum rpmbuild/SOURCES/regex-base-0.93.1.tar.gz 
e94c4c15fd3f4b375eb854ee0b77787a03fc8a2c  rpmbuild/SOURCES/regex-base-0.93.1.tar.gz

[x] spec name fine
[x] license ok (copy present) and source has marking
[x] source tree ok (no binaries present)
[x] archs - fine
[x] spec file legible and in american english
[x] BR's ok
[x] %files ok
[x] folders owned - ok

main

/usr/lib/ghc-6.12.1/regex-base-0.93.1
/usr/share/doc/ghc-regex-base-0.93.1

doc

/usr/share/doc/ghc/html/libraries/regex-base-0.93.1

devel

/usr/lib/ghc-6.12.1/regex-base-0.93.1
/usr/lib/ghc-6.12.1/regex-base-0.93.1/Text
/usr/lib/ghc-6.12.1/regex-base-0.93.1/Text/Regex
/usr/lib/ghc-6.12.1/regex-base-0.93.1/Text/Regex/Base

[x] source builds fine on fedora ghc archs
[x] no bundled dependencies
[x] %clean section ok
[x] filenames - ok (valid)
[x] profiling ok
[x] lib goes to %{_libdir}/ghc-%{ghc_version}/%{pkg_name}-%{version}
[x] new macros

APPROVED
Comment 3 Jens Petersen 2010-01-20 02:43:38 EST
Thank you very much Rakesh for your detailed reviews -
this is really a big help for the Haskell SIG. :-)

Yeah a few comments on this one:

(In reply to comment #2)
> ghc-regex-base.src: W: strange-permission regex-base-0.93.1.tar.gz 0600
> ghc-regex-base.x86_64: W: incoherent-version-in-changelog 0.93.1-1
> ['0.93.1-2.fc13', '0.93.1-2']

Will fix these before importing.

> ghc-regex-base.x86_64: W: unstripped-binary-or-object
> /usr/lib64/ghc-6.12.1/regex-base-0.93.1/libHSregex-base-0.93.1-ghc6.12.1.so

I experimented on a few ghc packages with turning on debuginfo
which strips more but since there was no src files in the
debuginfo package it got flagged in bugzilla.

> ghc-regex-base-devel.x86_64: W: no-documentation

(Sometimes ponder if we should move -doc into -devel.)
Comment 4 Jens Petersen 2010-01-20 02:45:09 EST
New Package CVS Request
=======================
Package Name: ghc-regex-base
Short Description: Haskell regex base library
Owners: petersen
Branches: devel
InitialCC: haskell-sig
Comment 5 Jason Tibbitts 2010-01-20 19:37:34 EST
CVS done (by process-cvs-requests.py).
Comment 6 Jens Petersen 2010-01-20 21:48:45 EST
Thanks - package imported and built.

http://koji.fedoraproject.org/koji/taskinfo?taskID=1935197
Comment 7 Jens Petersen 2010-10-03 22:23:07 EDT
Package Change Request
======================
Package Name: ghc-regex-base
New Branches: el6
Owners: petersen
InitialCC: haskell-sig
Comment 8 Kevin Fenzi 2010-10-04 15:04:35 EDT
Git done (by process-git-requests).
Comment 9 Jens Petersen 2013-12-27 08:23:54 EST
Package Change Request
======================
Package Name: ghc-regex-base
New Branches: el5
Owners: petersen
InitialCC: haskell-sig
Comment 10 Jens Petersen 2014-01-02 01:55:38 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.